Subject: Offline Message from maram alghamdi: I didn't receive most of my orders that
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 12 Jun 2020 21:15:33 -0000

From: maram alghamdi <[email-masked]>
Phone: 
Location: Khobar, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/sales/order/view/order_id/1478346/
Department: 

I didn't receive most of my orders that were placed on the 24th of April !! its almost 50 days since the order and also the other order on 10th of may . I called the office in Dubai and they told me they will contact the delivery company but nothing happened since then !!

----
Zopim
https://www.zopim.com